> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Execution Outputs

> Lists outputs produced by workflow execution actions.

`Unary` · [`Workflows`](/docs/api-reference/generated/workflow/overview)

Lists outputs produced by workflow execution actions.

Use this method to:

* Retrieve test results, coverage metrics, or other structured data from executions
* Aggregate outputs across multiple workflow executions
* Build dashboards or reports from execution data

### Examples

* List outputs for a workflow execution:

  Retrieves all outputs produced by actions in the specified execution.

  ```yaml theme={null}
  filter:
    workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"]
  pagination:
    pageSize: 50
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "pagination": {
      "pageSize": 1
    }
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.pagination_pb2 as pagination_pb2
  import gitpod.v1.workflow_pb2 as workflow_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = workflow_pb2.ListWorkflowExecutionOutputsRequest(
      pagination=pagination_pb2.PaginationRequest(
          page_size=1,
      ),
  )
  response = ona.services.workflow.list_workflow_execution_outputs(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { ListWorkflowExecutionOutputsRequestSchema } from "@gitpod/sdk/gitpod/v1/workflow_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(ListWorkflowExecutionOutputsRequestSchema, {
      pagination: {
        pageSize: 1,
      },
    });
    const response = await ona.services.workflow.listWorkflowExecutionOutputs(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.ListWorkflowExecutionOutputsRequest{
  		Pagination: &gitpodpb.PaginationRequest{
  			PageSize: 1,
  		},
  	})
  	response, err := ona.Services.Workflow.ListWorkflowExecutionOutputs(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "pagination": {
      "pageSize": 1
    }
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.ListWorkflowExecutionOutputsRequest`

| Field        | Type                                                                     | Required | Description |
| ------------ | ------------------------------------------------------------------------ | -------- | ----------- |
| `pagination` | [PaginationRequest](#type-gitpod-v1-pagination-request)                  | No       |             |
| `filter`     | [Filter](#type-gitpod-v1-list-workflow-execution-outputs-request-filter) | No       |             |

## Response

`gitpod.v1.ListWorkflowExecutionOutputsResponse`

| Field        | Type                                                                                            | Required | Description |
| ------------ | ----------------------------------------------------------------------------------------------- | -------- | ----------- |
| `pagination` | [PaginationResponse](#type-gitpod-v1-pagination-response)                                       | No       |             |
| `outputs`    | array of [ActionOutput](#type-gitpod-v1-list-workflow-execution-outputs-response-action-output) | No       |             |

## Related types

<a id="type-gitpod-v1-agent-execution-status-output-value" />

<Accordion title="OutputValue">
  `gitpod.v1.AgentExecution.Status.OutputValue`

  | Field         | Type                  | Required | Description                         |
  | ------------- | --------------------- | -------- | ----------------------------------- |
  | `stringValue` | string                | No       | Constraints: `string.max_len=4096`. |
  | `intValue`    | 64-bit integer string | No       |                                     |
  | `floatValue`  | number                | No       |                                     |
  | `boolValue`   | boolean               | No       |                                     |
</Accordion>

<a id="type-gitpod-v1-list-workflow-execution-outputs-request-filter" />

<Accordion title="Filter">
  `gitpod.v1.ListWorkflowExecutionOutputsRequest.Filter`

  | Field                  | Type            | Required | Description                                                            |
  | ---------------------- | --------------- | -------- | ---------------------------------------------------------------------- |
  | `workflowExecutionIds` | array of string | No       | Constraints: `repeated.items.string.uuid=true, repeated.max_items=25`. |
</Accordion>

<a id="type-gitpod-v1-list-workflow-execution-outputs-response-action-output" />

<Accordion title="ActionOutput">
  `gitpod.v1.ListWorkflowExecutionOutputsResponse.ActionOutput`

  | Field      | Type                                                                                | Required | Description |
  | ---------- | ----------------------------------------------------------------------------------- | -------- | ----------- |
  | `actionId` | string                                                                              | No       |             |
  | `values`   | map of string to [OutputValue](#type-gitpod-v1-agent-execution-status-output-value) | No       |             |
</Accordion>

<a id="type-gitpod-v1-pagination-request" />

<Accordion title="PaginationRequest">
  `gitpod.v1.PaginationRequest`

  | Field      | Type    | Required | Description                                                                                                                              |
  | ---------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
  | `pageSize` | integer | No       | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
  | `token`    | string  | No       | Token for the next set of results that was returned as next\_token of a PaginationResponse                                               |
</Accordion>

<a id="type-gitpod-v1-pagination-response" />

<Accordion title="PaginationResponse">
  `gitpod.v1.PaginationResponse`

  | Field       | Type   | Required | Description                                                                             |
  | ----------- | ------ | -------- | --------------------------------------------------------------------------------------- |
  | `nextToken` | string | No       | Token passed for retrieving the next set of results. Empty if there are no more results |
</Accordion>
